Bug 1823853 (CVE-2020-2816) - CVE-2020-2816 OpenJDK: Application data accepted before TLS handshake completion (JSSE, 8235691)
Summary: CVE-2020-2816 OpenJDK: Application data accepted before TLS handshake complet...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2816
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1826104 1810784 1810785 1810786 1810787 1810788
Blocks: 1810559
TreeView+ depends on / blocked
 
Reported: 2020-04-14 15:56 UTC by Tomas Hoger
Modified: 2020-05-25 16:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the TLS/SSL implementation in the JSSE component of OpenJDK, where it did not properly handle application data packets received before the handshake completion. This flaw allowed unauthorized injection of data at the beginning of a TLS session.
Clone Of:
Environment:
Last Closed: 2020-04-21 16:32:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1534 None None None 2020-04-22 01:02:16 UTC
Red Hat Product Errata RHBA-2020:1535 None None None 2020-04-22 08:58:08 UTC
Red Hat Product Errata RHBA-2020:1958 None None None 2020-04-29 01:12:45 UTC
Red Hat Product Errata RHBA-2020:1997 None None None 2020-04-30 15:04:42 UTC
Red Hat Product Errata RHBA-2020:2034 None None None 2020-05-06 08:47:19 UTC
Red Hat Product Errata RHBA-2020:2035 None None None 2020-05-06 08:50:56 UTC
Red Hat Product Errata RHBA-2020:2189 None None None 2020-05-18 14:45:38 UTC
Red Hat Product Errata RHBA-2020:2191 None None None 2020-05-18 14:47:59 UTC
Red Hat Product Errata RHBA-2020:2254 None None None 2020-05-25 16:20:47 UTC
Red Hat Product Errata RHSA-2020:1509 None None None 2020-04-21 11:17:24 UTC
Red Hat Product Errata RHSA-2020:1514 None None None 2020-04-21 16:32:01 UTC
Red Hat Product Errata RHSA-2020:1517 None None None 2020-04-22 09:15:04 UTC

Description Tomas Hoger 2020-04-14 15:56:57 UTC
It was discovered that the TLS/SSL implementation in the JSEE component of OpenJDK did not properly handle application data packets received prior to the handshake completion.  This could allow unauthorized injection of data at the beginning a TLS session.

Comment 1 Tomas Hoger 2020-04-14 22:21:13 UTC
Public now via Oracle CPU April 2020:

https://www.oracle.com/security-alerts/cpuapr2020.html#AppendixJAVA

Fixed in Oracle Java SE 14.0.1 and 11.0.7.

Comment 2 errata-xmlrpc 2020-04-21 11:17:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1509 https://access.redhat.com/errata/RHSA-2020:1509

Comment 3 errata-xmlrpc 2020-04-21 16:32:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1514 https://access.redhat.com/errata/RHSA-2020:1514

Comment 4 Product Security DevOps Team 2020-04-21 16:32:52 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2816

Comment 5 errata-xmlrpc 2020-04-22 09:15:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:1517 https://access.redhat.com/errata/RHSA-2020:1517

Comment 6 Tomas Hoger 2020-05-14 08:28:38 UTC
OpenJDK-11 upstream commit:
http://hg.openjdk.java.net/jdk-updates/jdk11u/rev/517f0515f160


Note You need to log in before you can comment on or make changes to this bug.